Skip to content

Create account for project
GA

Request

Create the WhatsApp account for the project. Each project can only have one account.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Account data

One of:
wabaNamestring, [ 1 .. 255 ] charactersrequired

The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.

clientBusinessManagerIdstring, [ 1 .. 255 ] charactersrequired

The Business Manager ID for the client to create the account. This can be found in the Meta Business Manager in Business Settings > Business Info below the Business Manager Account Name.

senderDetailsobject(WhatsappInputAccountSenderRelatedDetailsDto)required

Details of the sender to be created.

businessManagerstring(WhatsappInputBusinessManagers)

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK"

Example body request to create an account.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "companyLegalName": "Legal name of company",
    "clientBusinessManagerId": "1234567890"
  }'

Responses

Account

Bodyapplication/json
isEmbeddedSignupbooleanrequired

true if the Account was created through Embedded Signup. false otherwise.

businessManagerstring(WhatsappBusinessManagers)required

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings, uniquerequired

Conversation API app regions the sender can be used for.

statestring(WhatsappAccountState)

The current state of your account.

Enum:"ONBOARDED""PENDING_FACEBOOK_VERIFICATION""REJECTED"
wabaIdstring

WhatsApp Business Manager ID.

changesobject(WhatsappAccountChangesDto)

Any pending changes to the account.

detailsobject(WhatsappAccountDetailsDto)

Account details and information.

wabaBanStatestring(WhatsappWabaBanStates)

Ban state when account has been banned.

Enum:"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestring

The UTC Date Time in ISO 8601 for when account has been banned.

wabaEnabledForInsightsboolean

Template analytics status for account.

wabaEnabledForDirectSendboolean

Direct Send API status for account.

primaryBusinessLocationstring(WhatsappCountryCodes)

Two-letter country code in ISO 3166 standard, specifying the country where business is based

Enum:"AD""AE""AF""AG""AI""AL""AM""AO""AQ""AR"
businessDailyLimitstring(WhatsappDailyLimit)

Current daily message limit of the account.

Enum:"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
currencystring

The currency code for the account.

partnerInitiatedRequestIdstringdeprecated

Deprecated. This field is retained for backward compatibility and is always returned as undefined.

Response

Response when successfully creating an account.

{ "isEmbeddedSignup": false, "businessManager": "SINCH_UK", "wabaId": "1234567890", "changes": { "status": "IN_PROGRESS", "details": { … } }, "compatibleRegions": [ "eu", "us" ] }

Callbacks

Comment on account
post
Account onboarded
post
Account rejected
post
Account pending verification
post
Account daily limit changed
post
Account business information changed
post
We'd love to hear from you!
Rate this content: